Loading...
Searching...
No Matches
field_expr_v2_nonlinear_terminal_field_o_characteristic_rep< T, M >

## Detailed Description

template<class T, class M>
class rheolef::details::field_expr_v2_nonlinear_terminal_field_o_characteristic_rep< T, M >

Definition at line 1265 of file field_expr_terminal.h.

## Public Types

typedef geo_element::size_type | size_type
typedef M | memory_type
typedef undeterminated_basic< T > | result_type
typedef result_type | value_type
typedef T | scalar_type
typedef float_traits< T >::type | float_type

## Public Member Functions

| field_expr_v2_nonlinear_terminal_field_o_characteristic_rep (const field_o_characteristic< T, M > &uoX)
| field_expr_v2_nonlinear_terminal_field_o_characteristic_rep (const field_basic< T, M > &uh, const characteristic_basic< T, M > &X)
space_constant::valued_type | valued_tag () const
void | initialize (const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
void | initialize (const space_basic< float_type, memory_type > &Xh, const piola_on_pointset< float_type > &pops, const integrate_option &iopt)
template<class Value >
void | evaluate (const geo_basic< float_type, memory_type > &omega_K, const geo_element &K, Eigen::Matrix< Value, Eigen::Dynamic, 1 > &value) const
template<class Value >
bool | valued_check () const
template<class Result >
void | _check () const

## Public Attributes

field_basic< T, M > | _uh
characteristic_basic< T, M > | _X
fem_on_pointset< T > | _fops
disarray< T, M > | _scalar_val
disarray< point_basic< T >, M > | _vector_val
disarray< tensor_basic< T >, M > | _tensor_val
disarray< tensor3_basic< T >, M > | _tensor3_val
disarray< tensor4_basic< T >, M > | _tensor4_val
size_type | _start_q

## Static Public Attributes

static const space_constant::valued_type | valued_hint = space_constant::last_valued

## Member Typedef Documentation

## size_type

template<class T , class M >

typedef geo_element::size_type size_type

Definition at line 1269 of file field_expr_terminal.h.

## memory_type

template<class T , class M >

typedef M memory_type

Definition at line 1270 of file field_expr_terminal.h.

## result_type

template<class T , class M >

typedef undeterminated_basic<T> result_type

Definition at line 1271 of file field_expr_terminal.h.

## value_type

template<class T , class M >

typedef result_type value_type

Definition at line 1272 of file field_expr_terminal.h.

## scalar_type

template<class T , class M >

typedef T scalar_type

Definition at line 1273 of file field_expr_terminal.h.

## float_type

template<class T , class M >

typedef float_traits<T>::type float_type

Definition at line 1274 of file field_expr_terminal.h.

## Constructor & Destructor Documentation

## field_expr_v2_nonlinear_terminal_field_o_characteristic_rep() [1/2]

template<class T , class M >

field_expr_v2_nonlinear_terminal_field_o_characteristic_rep | ( | const field_o_characteristic< T, M > & | uoX | ) |

Definition at line 1344 of file field_expr_terminal.h.

## field_expr_v2_nonlinear_terminal_field_o_characteristic_rep() [2/2]

template<class T , class M >

field_expr_v2_nonlinear_terminal_field_o_characteristic_rep | ( | const field_basic< T, M > & | uh,
|  | const characteristic_basic< T, M > & | X
| ) |  |

Definition at line 1329 of file field_expr_terminal.h.

## Member Function Documentation

## valued_tag()

template<class T , class M >

space_constant::valued_type valued_tag | ( |  | ) | const

Definition at line 1285 of file field_expr_terminal.h.

## initialize() [1/2]

template<class T , class M >

void initialize | ( | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 570 of file field_expr_terminal.cc.

## initialize() [2/2]

template<class T , class M >

void initialize | ( | const space_basic< float_type, memory_type > & | Xh,
|  | const piola_on_pointset< float_type > & | pops,
|  | const integrate_option & | iopt
| ) |  |

Definition at line 597 of file field_expr_terminal.cc.

## evaluate()

template<class T , class M >
template<class Value >

void evaluate | ( | const geo_basic< float_type, memory_type > & | omega_K,
|  | const geo_element & | K,
|  | Eigen::Matrix< Value, Eigen::Dynamic, 1 > & | value
| ) |  | const

Definition at line 607 of file field_expr_terminal.cc.

## valued_check()

template<class T , class M >
template<class Value >

bool valued_check | ( |  | ) | const

Definition at line 1303 of file field_expr_terminal.h.

## _check()

template<class T , class M >
template<class Result >

void _check | ( |  | ) | const

## Member Data Documentation

## valued_hint

template<class T , class M >

const space_constant::valued_type valued_hint = space_constant::last_valued

static

Definition at line 1283 of file field_expr_terminal.h.

## _uh

template<class T , class M >

field_basic<T,M> _uh

Definition at line 1318 of file field_expr_terminal.h.

## _X

template<class T , class M >

characteristic_basic<T,M> _X

Definition at line 1319 of file field_expr_terminal.h.

## _fops

template<class T , class M >

fem_on_pointset<T> _fops

mutable

Definition at line 1320 of file field_expr_terminal.h.

## _scalar_val

template<class T , class M >

disarray<T,M> _scalar_val

mutable

Definition at line 1321 of file field_expr_terminal.h.

## _vector_val

template<class T , class M >

disarray<point_basic<T>,M> _vector_val

mutable

Definition at line 1322 of file field_expr_terminal.h.

## _tensor_val

template<class T , class M >

disarray<tensor_basic<T>,M> _tensor_val

mutable

Definition at line 1323 of file field_expr_terminal.h.

## _tensor3_val

template<class T , class M >

disarray<tensor3_basic<T>,M> _tensor3_val

mutable

Definition at line 1324 of file field_expr_terminal.h.

## _tensor4_val

template<class T , class M >

disarray<tensor4_basic<T>,M> _tensor4_val

mutable

Definition at line 1325 of file field_expr_terminal.h.

## _start_q

template<class T , class M >

size_type _start_q

mutable

Definition at line 1326 of file field_expr_terminal.h.

The documentation for this class was generated from the following files:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/field_expr_terminal.h
- /build/rheolef-Hrneba/rheolef-7.2/main/lib/field_expr_terminal.cc